org.apache.lucene.index

## Class FieldFilterAtomicReader

- java.lang.Object
- - org.apache.lucene.index.IndexReader
  - - org.apache.lucene.index.AtomicReader
    - - org.apache.lucene.index.FilterAtomicReader
      - - org.apache.lucene.index.FieldFilterAtomicReader

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class FieldFilterAtomicReader
    extends FilterAtomicReader

A `FilterAtomicReader` that exposes only a subset of fields from the underlying wrapped reader.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.index.FilterAtomicReader

`FilterAtomicReader.FilterDocsAndPositionsEnum, FilterAtomicReader.FilterDocsEnum, FilterAtomicReader.FilterFields, FilterAtomicReader.FilterTerms, FilterAtomicReader.FilterTermsEnum`

### Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader

`IndexReader.ReaderClosedListener`

### Field Summary

### Fields inherited from class org.apache.lucene.index.FilterAtomicReader

`in`

### Constructor Summary

Constructors
Constructor and Description
`FieldFilterAtomicReader(AtomicReader in, Set<String> fields, boolean negate)`

### Method Summary

Methods
`void` `document(int docID, StoredFieldVisitor visitor)`
`Fields` `fields()`
`BinaryDocValues` `getBinaryDocValues(String field)`
`FieldInfos` `getFieldInfos()`
`NumericDocValues` `getNormValues(String field)`
`NumericDocValues` `getNumericDocValues(String field)`
`SortedDocValues` `getSortedDocValues(String field)`
`Fields` `getTermVectors(int docID)`
`String` `toString()`

### Methods inherited from class org.apache.lucene.index.FilterAtomicReader

`doClose, getCombinedCoreAndDeletesKey, getCoreCacheKey, getLiveDocs, getSortedSetDocValues, hasDeletions, maxDoc, numDocs`

### Methods inherited from class org.apache.lucene.index.AtomicReader

`docFreq, getContext, hasNorms, termDocsEnum, termPositionsEnum, terms, totalTermFreq`

### Methods inherited from class org.apache.lucene.index.IndexReader

`addReaderClosedListener, close, decRef, document, document, ensureOpen, equals, getRefCount, getTermVector, hashCode, incRef, leaves, numDeletedDocs, open, open, open, open, open, registerParentReader, removeReaderClosedListener, tryIncRef`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FieldFilterAtomicReader

    public FieldFilterAtomicReader(AtomicReader in,
                           Set<String> fields,
                           boolean negate)

### Method Detail

#### getFieldInfos

    public FieldInfos getFieldInfos()

Overrides:
  `getFieldInfos` in class `FilterAtomicReader`

#### getTermVectors

    public Fields getTermVectors(int docID)
                          throws IOException

Overrides:
  `getTermVectors` in class `FilterAtomicReader`
Throws:
  `IOException`

#### document

    public void document(int docID,
                StoredFieldVisitor visitor)
                  throws IOException

Overrides:
  `document` in class `FilterAtomicReader`
Throws:
  `IOException`

#### fields

    public Fields fields()
                  throws IOException

Overrides:
  `fields` in class `FilterAtomicReader`
Throws:
  `IOException`

#### getNumericDocValues

    public NumericDocValues getNumericDocValues(String field)
                                         throws IOException

Overrides:
  `getNumericDocValues` in class `FilterAtomicReader`
Throws:
  `IOException`

#### getBinaryDocValues

    public BinaryDocValues getBinaryDocValues(String field)
                                       throws IOException

Overrides:
  `getBinaryDocValues` in class `FilterAtomicReader`
Throws:
  `IOException`

#### getSortedDocValues

    public SortedDocValues getSortedDocValues(String field)
                                       throws IOException

Overrides:
  `getSortedDocValues` in class `FilterAtomicReader`
Throws:
  `IOException`

#### getNormValues

    public NumericDocValues getNormValues(String field)
                                   throws IOException

Overrides:
  `getNormValues` in class `FilterAtomicReader`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `FilterAtomicReader`